Bug 781775 - Review Request: sevmgr - C++ Simulation-Oriented Discrete Event Management Library
Review Request: sevmgr - C++ Simulation-Oriented Discrete Event Management Li...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
:
Depends On: 702987
Blocks: 890772 728815
  Show dependency treegraph
 
Reported: 2012-01-14 22:09 EST by Denis Arnaud
Modified: 2015-04-06 12:02 EDT (History)
4 users (show)

See Also:
Fixed In Version: sevmgr-0.2.0-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-09 19:57:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tomspur: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Denis Arnaud 2012-01-14 22:09:23 EST
Spec URL:
http://denisarnaud.fedorapeople.org/sim/sevmgr/sevmgr.spec
SRPM URL:
http://denisarnaud.fedorapeople.org/sim/sevmgr/sevmgr-0.2.0-1.fc16.src.rpm
Description:
sevmgr is a C++ library of discrete event queue management classes and
functions, exclusively targeting simulation purposes. That library uses the Standard Airline IT C++ object model (http://sf.net/projects/stdair).
Comment 1 Thomas Spura 2012-01-23 18:45:10 EST
Review:

- This looks like a 95% copy of your other reviews, so it will be hard to find a further nitpick ;)
- license ok
- %files ok
- library correctly packaged
- doc has own COPYING -> may not depend on main package
- %check there
- parallel make used
- doc is noarch where possible
- BuildRoot, rm -rf is there (needed for EL5)
- BR ok
- source match upstream:
  c2300b3e8abbea7899261e91a605e982  sevmgr-0.2.0.tar.bz2
- koji build works:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=3726948

NEEDSWORK:
- add license headers ;)

==================================================================

APPROVED
Comment 2 Denis Arnaud 2012-01-23 19:36:17 EST
--------------------------------------------------------------------------
New Package SCM Request
=======================
Package Name: sevmgr
Short Description: C++ Simulation-Oriented Discrete Event Management Library
Owners: denisarnaud
Branches: f15 f16 el5 el6
InitialCC:
--------------------------------------------------------------------------
Comment 3 Jon Ciesla 2012-01-23 20:57:04 EST
Git done (by process-git-requests).

------------------------------------------ isn't a valid FAS account.
Comment 4 Fedora Update System 2012-01-30 18:49:55 EST
sevmgr-0.2.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/sevmgr-0.2.0-1.fc16
Comment 5 Fedora Update System 2012-01-30 18:50:38 EST
sevmgr-0.2.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/sevmgr-0.2.0-1.fc15
Comment 6 Fedora Update System 2012-01-30 18:51:17 EST
sevmgr-0.2.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/sevmgr-0.2.0-1.el6
Comment 7 Fedora Update System 2012-01-31 16:57:23 EST
sevmgr-0.2.0-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 8 Fedora Update System 2012-02-09 19:53:16 EST
sevmgr-0.2.0-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 9 Fedora Update System 2012-02-09 19:57:39 EST
sevmgr-0.2.0-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 10 Fedora Update System 2012-02-16 15:06:48 EST
sevmgr-0.2.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.